[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-exchange] 02/02: -correct DB API fix
From: |
gnunet |
Subject: |
[taler-exchange] 02/02: -correct DB API fix |
Date: |
Sat, 21 Dec 2024 23:36:27 +0100 |
This is an automated email from the git hooks/post-receive script.
grothoff pushed a commit to branch master
in repository exchange.
commit f2f0575bcbcc56fbd556a3d7cdff83797f5d0af1
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sat Dec 21 23:36:17 2024 +0100
-correct DB API fix
---
contrib/uncrustify_precommit | 10 ++++++----
src/auditor/taler-auditor-httpd_reserve-in-inconsistency-get.c | 4 +---
2 files changed, 7 insertions(+), 7 deletions(-)
diff --git a/contrib/uncrustify_precommit b/contrib/uncrustify_precommit
index 7b1baacbb..7c8215571 100755
--- a/contrib/uncrustify_precommit
+++ b/contrib/uncrustify_precommit
@@ -42,10 +42,11 @@ fi
# Make sure we have no stupid spelling error
if (which codespell > /dev/null)
then
+ export REPORT=$(mktemp /tmp/codespellXXXXXX)
( set -o pipefail;
echo "Checking for spelling errors with codespell..."
- contrib/ci/jobs/000-codespell/job.sh src 2> /dev/null;
- ) || { echo "Please fix the code spell errors first"; exit 2; }
+ contrib/ci/jobs/000-codespell/job.sh src 2> ${REPORT};
+ ) || { echo "Please fix the code spell errors in ${REPORT} first"; exit 2;
}
else
echo "No codespell installed, skipping spell check."
echo "** Please consider installing codespell! **"
@@ -55,12 +56,13 @@ fi
# Make sure doxygen is happy with our annotations
if (which doxygen > /dev/null)
then
+ export REPORT=$(mktemp /tmp/doxygenXXXXXX)
[ -f doc/doxygen/Makefile ] && \
( set -o pipefail;
echo "Checking that doxygen is happy..."
cd doc/doxygen;
- make fast 2>&1 | (grep error:; exit 0);
- ) || { echo "Please fix the errors reported by doxygen first"; exit 3; }
+ make fast 2>&1 | tee ${REPORT} | (grep error:; exit 0);
+ ) || { echo "Please fix the errors reported by doxygen in ${REPORT}
first"; exit 3; }
else
echo "No doxygen installed, skipping check."
echo "** Please consider installing doxygen! **"
diff --git a/src/auditor/taler-auditor-httpd_reserve-in-inconsistency-get.c
b/src/auditor/taler-auditor-httpd_reserve-in-inconsistency-get.c
index e8648b4b2..e37ceece3 100644
--- a/src/auditor/taler-auditor-httpd_reserve-in-inconsistency-get.c
+++ b/src/auditor/taler-auditor-httpd_reserve-in-inconsistency-get.c
@@ -29,14 +29,12 @@
* Add reserve-in-inconsistency to the list.
*
* @param[in,out] cls a `json_t *` array to extend
- * @param serial_id location of the @a dc in the database
* @param dc struct of inconsistencies
* @return #GNUNET_OK to continue to iterate, #GNUNET_SYSERR to stop iterating
*/
static enum GNUNET_GenericReturnValue
process_reserve_in_inconsistency (
void *cls,
- uint64_t serial_id,
const struct TALER_AUDITORDB_ReserveInInconsistency *dc)
{
json_t *list = cls;
@@ -44,7 +42,7 @@ process_reserve_in_inconsistency (
obj = GNUNET_JSON_PACK (
GNUNET_JSON_pack_uint64 ("row_id",
- serial_id),
+ dc->serial_id),
GNUNET_JSON_pack_uint64 ("bank_row_id",
dc->bank_row_id),
TALER_JSON_pack_amount ("amount_exchange_expected",
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.